GetChatResponseConfiguration
Note
Amazon Q Business will no longer be open to new customers starting on July 31, 2026. If you would like to use the service, please sign up prior to July 30. For capabilities similar to Q Business, explore Amazon Quick. Learn more.
Retrieves detailed information about a specific chat response configuration from an Amazon Q Business application. This operation returns the complete configuration settings and metadata.
Request Syntax
GET /applications/applicationId/chatresponseconfigurations/chatResponseConfigurationId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- applicationId
-
The unique identifier of the Amazon Q Business application containing the chat response configuration to retrieve.
Length Constraints: Fixed length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]{35}Required: Yes
- chatResponseConfigurationId
-
The unique identifier of the chat response configuration to retrieve from the specified application.
Length Constraints: Fixed length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]{35}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"chatResponseConfigurationArn": "string",
"chatResponseConfigurationId": "string",
"createdAt": number,
"displayName": "string",
"inUseConfiguration": {
"error": {
"errorCode": "string",
"errorMessage": "string"
},
"responseConfigurations": {
"string" : {
"instructionCollection": {
"customInstructions": "string",
"examples": "string",
"identity": "string",
"outputStyle": "string",
"perspective": "string",
"responseLength": "string",
"targetAudience": "string",
"tone": "string"
}
}
},
"responseConfigurationSummary": "string",
"status": "string",
"updatedAt": number
},
"lastUpdateConfiguration": {
"error": {
"errorCode": "string",
"errorMessage": "string"
},
"responseConfigurations": {
"string" : {
"instructionCollection": {
"customInstructions": "string",
"examples": "string",
"identity": "string",
"outputStyle": "string",
"perspective": "string",
"responseLength": "string",
"targetAudience": "string",
"tone": "string"
}
}
},
"responseConfigurationSummary": "string",
"status": "string",
"updatedAt": number
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- chatResponseConfigurationArn
-
The Amazon Resource Name (ARN) of the retrieved chat response configuration, which uniquely identifies the resource across all AWS services.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1284.
Pattern:
arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023} - chatResponseConfigurationId
-
The unique identifier of the retrieved chat response configuration.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]{35} - createdAt
-
The timestamp indicating when the chat response configuration was initially created.
Type: Timestamp
- displayName
-
The human-readable name of the retrieved chat response configuration, making it easier to identify among multiple configurations.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 100.
- inUseConfiguration
-
The currently active configuration settings that are being used to generate responses in the Amazon Q Business application.
Type: ChatResponseConfigurationDetail object
- lastUpdateConfiguration
-
Information about the most recent update to the configuration, including timestamp and modification details.
Type: ChatResponseConfigurationDetail object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have access to perform this action. Make sure you have the required permission policies and user accounts and try again.
HTTP Status Code: 403
- InternalServerException
-
An issue occurred with the internal server used for your Amazon Q Business service. Wait some minutes and try again, or contact Support
for help. HTTP Status Code: 500
- ResourceNotFoundException
-
The application or plugin resource you want to use doesn’t exist. Make sure you have provided the correct resource and try again.
- message
-
The message describing a
ResourceNotFoundException. - resourceId
-
The identifier of the resource affected.
- resourceType
-
The type of the resource affected.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to throttling. Reduce the number of requests and try again.
HTTP Status Code: 429
- ValidationException
-
The input doesn't meet the constraints set by the Amazon Q Business service. Provide the correct input and try again.
- fields
-
The input field(s) that failed validation.
- message
-
The message describing the
ValidationException. - reason
-
The reason for the
ValidationException.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: